Issue 1636 new primitive match type: match regex in hunk

Title new primitive match type: match regex in hunk
Priority feature Status resolved
Milestone Resolved in
Superseder Nosy List Kamil, darcs-devel, dmitry.kurochkin, kowey
Assigned To
Topics Matchers

Created on 2009-10-03.16:53:10 by Kamil, last changed 2010-03-15.11:00:41 by Kamil.

msg8906 (view) Author: Kamil Date: 2009-10-03.16:53:07
The main use case is to find all the patches that touched a line containing the
given name.

At the moment I do it by searching inside darcs changes -v | less. Though it
seems that it would be nice to browse through the changes interactively (as in
darcs changes -i), because many times the comment of the patch will make it
clear that this patch is not interesting ('remove trailing whitespace' for
example). When searching with less one has to back search for the header of the
msg9961 (view) Author: kowey Date: 2010-02-07.10:24:44
If I understand correctly, this will be part of Darcs 2.4.
Thanks!  I love the hunk matcher and use it quite a lot.
msg10209 (view) Author: Kamil Date: 2010-03-15.11:00:36
The following patch updated the status of issue1636 to be resolved:

* resolve issue1636: match hunk 
Ignore-this: 75a9305d62af67e1f20df1c24e729ba3

A new primitive match type.

By Kamil and tat.wright
Date User Action Args
2009-10-03 16:53:10Kamilcreate
2009-10-03 17:01:15koweysettopic: + Matchers
nosy: darcs-devel, dmitry.kurochkin, Kamil
2009-10-23 22:36:11adminsetnosy: + kamil, - Kamil
2009-10-23 23:59:19adminsetnosy: + Kamil, - kamil
2009-10-31 17:11:13koweylinkpatch21 issues
2010-02-07 10:24:45koweysetstatus: has-patch -> resolved
nosy: + kowey
messages: + msg9961
2010-03-15 11:00:41Kamilsetmessages: + msg10209